Skip to main content
`Ctrl`+`K`

# TSRollBack

Rolls back one time step

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSRollBack(TS ts)

Collective

## Input Parameter

- ts - the `TS` context obtained from `TSCreate()`

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSGetStepRollBack()`, `TSCreate()`, `TSSetUp()`, `TSDestroy()`, `TSSolve()`, `TSSetPreStep()`, `TSSetPreStage()`, `TSInterpolate()`

## Level

advanced

## Location

src/ts/interface/ts.c

## Implementations

TSRollBack_RK() in src/ts/impls/explicit/rk/rk.c
TSRollBack_Alpha() in src/ts/impls/implicit/alpha/alpha2.c
TSRollBack_IRK() in src/ts/impls/implicit/irk/irk.c
TSRollBack_Theta() in src/ts/impls/implicit/theta/theta.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages